Bug 326671 - No way to disable slow keys popup
No way to disable slow keys popup
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-desktop (Show other bugs)
8
All Linux
low Severity low
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-10 13:35 EDT by Andrew McNabb
Modified: 2009-01-08 23:56 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-08 23:56:11 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Andrew McNabb 2007-10-10 13:35:19 EDT
Description of problem:

If any keyboard accessibility features are enabled, GNOME will pop up a dialog
box when the shift key is held down for 8 seconds.  There seems to be no way to
disable this dialog in gconf.  When using Gimp and other graphics tools, it is
important to be able to hold down on the shift key without having popups disrupt
your work.

Even worse, the popup dialog disables the keyboard entirely.  If the popup shows
up under another window, the keyboard may stop working without any indication of
what the problem is.

The obvious workaround would be to disable keyboard accessibility.  However,
Apple laptops have only one mouse button, and to map a key of your choice to act
as a mouse button, you have to enable mousekeys.  I'm sure there are other valid
reasons to enable one form of accessibility without wanting to use others.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. gconftool-2 --type bool --set
/desktop/gnome/accessibility/keyboard/mousekeys_enable true
2. Hold down on the shift key for 8 seconds.
  
Actual results:

A window pops up asking, "Do you want to enable slow keys?"  The keyboard stops
working until you click "Don't activate".


Expected results:

The popup "feature" should be removed, or at least, there should be some setting
in gconf that disables the popup.


Additional info:

Thanks for looking into this.
Comment 1 Andrew McNabb 2008-05-07 12:58:35 EDT
The popup isn't appearing in rawhide, so I assume someone fixed this.
Comment 2 Bug Zapper 2008-11-26 02:56:48 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2009-01-08 23:56:11 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.